
<div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Cuidador'">
  <h3 class="font-medium my-3 col-6">Notas pertenecientes a: </h3>
    <div class="my-3 col-6 d-flex justify-content-end">
    <select  [(ngModel)]="pacienteId" name="pacienteId" class="form-select form-select-sm" 
    aria-label=".form-select-sm example" (change)="ngOnInit()" >
       <option [ngValue]="idUsuario" [selected]>Mis Notas</option>     
      <option *ngFor="let paciente of listaPacientes" [ngValue]="paciente.id">
            {{ paciente.nombre }} {{ paciente.apellido }}
          </option>
      </select>
      </div>
  </div>

 
  <div class="row d-flex justify-content-between" *ngIf="rolUsuario ==='Paciente'">
    <h2 class="font-medium my-3 col-6">Notas </h2> 
</div>

<div class="row">  



<P>
 
  <button type="button" class="mt-3 btn btn-primary" 
  routerLink="/notas/crear">Crear nota</button>
</P>

<div *ngIf="tienenotas=='NO' ">
  <div class="card" >
    <div class="card-body">
    

        <div class="alert alert-warning" role="alert">
           <p><i class="bi bi-exclamation-triangle-fill"></i>
            No cuenta con notas cargadas.    
          </p>
   </div> 


      </div>
  </div>

</div>


  <!-- column -->
  <div class="col-lg-3 col-md-6" *ngFor="let nota of notas">


    <div class="card bg-primary text-white">
      <div class="card-body">
        <div class="dropdown">
          <span >X</span>
          <div class="dropdown-content">
           <a (click)="eliminarNota(nota.id)" style="        color: #000;       "> Eliminar Nota </a> 
          </div></div>


        <h4 class="card-title text-white">{{nota.titulo}} </h4>
        <p class="card-text">
          {{nota.contenido}}
        </p>
 
   
      </div>
    </div>


 
    <!-- ---------------------

    <div class="card">
      <img class="card-img-top img-responsive" src="assets/images/notas/alimentos2.jpg" alt="Card image cap" />
      <div class="card-body">
        <h4 class="card-title">{{nota.titulo}}</h4>
        <p class="card-text">
          {{nota.contenido}}
        </p>
        <a href="javascript:void(0)" class="btn btn-primary">Ver Nota</a>
      </div>
    </div>
                      ---------------- -->

  </div>     
 
</div>




